%define name kreatecd 
%define version 1.1.0
%define release 2mdk

Summary: CD-R recording frontend for the K Desktop Environment

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.bz2
URL : 		http://www.kreatecd.de
License: 	GPL
Group: 		Archiving/Cd burning
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	libqt2 kdelibs cdparanoia >= IIIa9.7 cdrecord >= 1.9 cdrecord-cdda2wav >= 1.9 mkisofs >= 1.13
BuildPrereq : 	libqt2-devel kdelibs-devel
Icon : 		kreatecd.xpm
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake autoconf gcc-c++ diffutils file m4 texinfo gettext
BuildRequires:  kdelibs-devel kdelibs libbinutils2 libbzip2_1 db1 freetype2 libjpeg62 libmng1
BuildRequires:  libpng3 libqt2 libqt2-devel rpm-build


%description
KreateCD is a graphical frontend for CD-R recording. It uses the K Desktop
Environment to provide a intuitive user interface. KreateCD is able to
create ISO-9660 images and CDDA disks and copy them.

%prep

%setup -q

%build
#make -f Makefile.cvs
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CDRECORD="/usr/bin/cdrecord"
export MKISOFS="/usr/bin/mkisofs"
export CDDA2WAV="/usr/bin/cdda2wav"
export MPG123="/usr/bin/mpg123"
export CDPARANOIA="/usr/bin/cdparanoia"
./configure  \
        --prefix=%{_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} \
        --enable-strict-perm \
        --disable-rpath \
        --enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir/mini
mkdir -p $RPM_BUILD_ROOT%_iconsdir/large
mkdir -p $RPM_BUILD_ROOT%_menudir

cp kreatecd/lo16-app-kreatecd.png $RPM_BUILD_ROOT%_iconsdir/kreatecd.png
cp kreatecd/lo16-app-kreatecd.png $RPM_BUILD_ROOT%_iconsdir/mini/kreatecd.png
cp kreatecd/hi32-app-kreatecd.png $RPM_BUILD_ROOT%_iconsdir/large/kreatecd.png


install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/kreatecd" \
title="KreateCd" \
longtitle="CD recording front-end" \
needs="x11" \
icon="%{name}.png" \
section="Applications/Archiving/Cd burning"
EOF


%{find_lang} %{name}

%post 
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%dir %_datadir/apps/kreatecd
%_datadir/apps/kreatecd/*.rc

%dir %_datadir/apps/kreatecd/pics/
%_datadir/apps/kreatecd/pics/*.png

%dir %_datadir/apps/kreatecd/plugins/
#%_datadir/apps/kreatecd/plugins/*.a
%_datadir/apps/kreatecd/plugins/*.la
%_datadir/apps/kreatecd/plugins/*.so*

%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop

%dir %_datadir/doc/HTML/en/kreatecd
%doc %_datadir/doc/HTML/en/kreatecd/*.png
%doc %_datadir/doc/HTML/en/kreatecd/*.docbook
%doc %_datadir/doc/HTML/en/kreatecd/*.html
%dir %_datadir/doc/HTML/en/kreatecd/common
%doc %_datadir/doc/HTML/en/kreatecd/common/*

%dir %_datadir/doc/HTML/fr/kreatecd
%doc %_datadir/doc/HTML/fr/kreatecd/*.png
%doc %_datadir/doc/HTML/fr/kreatecd/*.docbook
%doc %_datadir/doc/HTML/fr/kreatecd/*.html
%dir %_datadir/doc/HTML/fr/kreatecd/common
%doc %_datadir/doc/HTML/fr/kreatecd/common/*
#%_datadir/doc/HTML/en/kreatecd/*.bz2

%_datadir/config/*rc

%_bindir/*
%_libdir/*.so
%_libdir/*.la
%_menudir/*

%_iconsdir/kreatecd.png
%_iconsdir/mini/kreatecd.png
%_iconsdir/large/kreatecd.png
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/16x16/actions/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/16x16/actions/*.png

%_datadir/mimelnk/application/x-kreatecd.desktop 

%_datadir/applnk/Applications/kreatecd.desktop

%_datadir/services/*.desktop

%changelog
* Sat Jan 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-2mdk
- Add missing files
- Fix spec file

* Mon Oct 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-1mdk
- Update code (1.1.0)

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.9-2mdk
- Rebuild against libpng3

* Mon Sep 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.9-1mdk
- Update code (1.0.9)

* Mon Sep 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.8-1mdk
- Update code (1.0.8)

* Tue Aug 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.7-1mdk
- update code (1.0.7)

* Thu Aug 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-5mdk
- rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires for non %%ix86 architectures
- Use optimizations
- Rebuild against latest GCC

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-3mdk
- Clean spec and add build requires

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-2mdk
- Rebuild against Qt 2.3.0

* Wed Mar 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- released and added in contribs by Alexander Feigl <Alexander.Feigl@gmx.de> :
	- update to version 1.0.0
	- fix build for users which are not in cdwriter group

* Tue Mar 01 2001 Alexander Feigl <Alexander.Feigl@gmx.de> 0.9.1-2mdk
- Fix track dialog - it does display audio tracks again
- Fix burning of audio tracks from CDDA source

* Tue Mar 01 2001 Alexander Feigl <Alexander.Feigl@gmx.de> 0.9.1-1mdk
- First spec file for Mandrake distribution.

# end of file
